<?php

namespace Drupal\druhels;

class StringHelper {

  /**
   * Remove double spaces from string.
   */
  public static function removeDoubleSpaces($string) {
    return preg_replace('/\s+/', ' ', $string);
  }

  /**
   * Format array as "key: value" string list.
   */
  public static function formatArrayAsKeyValueList($array, $separator = ': ') {
    $list = [];

    foreach ($array as $key => $value) {
      $list[] = $key . $separator . $value;
    }

    return implode("\n", $list);
  }

  /**
   * Match pattern and return one or more matches.
   *
   * @param string $pattern Regular expression
   * @param string $text Text string
   * @param integer|NULL $index Matches index to return
   *
   * @return string|array|NULL
   */
  public static function pregMatch($pattern, $text, $index = NULL) {
    if (preg_match($pattern, $text, $matches)) {
      if ($index === NULL) {
        return $matches;
      }
      else if (isset($matches[$index])) {
        return $matches[$index];
      }
    }
  }

}
